Agora Java API Reference for Android

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.Constants.VideoSourceType Enum Reference

The type of the video source. More...

## Public Member Functions
int | getValue ()

## Static Public Member Functions
static int | getValue (VideoSourceType type)
static VideoSourceType | fromInt (int v)

## Public Attributes
| VIDEO_SOURCE_CAMERA_PRIMARY =(0)
| VIDEO_SOURCE_CAMERA_SECONDARY =(1)
| VIDEO_SOURCE_SCREEN_PRIMARY =(2)
| VIDEO_SOURCE_SCREEN_SECONDARY =(3)
| VIDEO_SOURCE_CUSTOM =(4)
| VIDEO_SOURCE_MEDIA_PLAYER =(5)
| VIDEO_SOURCE_RTC_IMAGE_PNG =(6)
| VIDEO_SOURCE_RTC_IMAGE_JPEG =(7)
| VIDEO_SOURCE_RTC_IMAGE_GIF =(8)
| VIDEO_SOURCE_REMOTE =(9)
| VIDEO_SOURCE_TRANSCODED =(10)
| VIDEO_SOURCE_CAMERA_THIRD =(11)
| VIDEO_SOURCE_CAMERA_FOURTH =(12)
| VIDEO_SOURCE_SPEECH_DRIVEN =(15)
| VIDEO_SOURCE_UNKNOWN =(100)

## Detailed Description

The type of the video source.

## Member Data Documentation

## ◆ VIDEO_SOURCE_CAMERA_PRIMARY

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CAMERA_PRIMARY =(0)

0: (Default) The primary camera.

## ◆ VIDEO_SOURCE_CAMERA_SECONDARY

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CAMERA_SECONDARY =(1)

1: The secondary camera.

## ◆ VIDEO_SOURCE_SCREEN_PRIMARY

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_SCREEN_PRIMARY =(2)

2: The primary screen.

## ◆ VIDEO_SOURCE_SCREEN_SECONDARY

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_SCREEN_SECONDARY =(3)

3: The secondary screen.

## ◆ VIDEO_SOURCE_CUSTOM

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CUSTOM =(4)

4: A custom video source.

## ◆ VIDEO_SOURCE_MEDIA_PLAYER

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_MEDIA_PLAYER =(5)

5: The media player.

## ◆ VIDEO_SOURCE_RTC_IMAGE_PNG

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_RTC_IMAGE_PNG =(6)

6: One PNG image.

## ◆ VIDEO_SOURCE_RTC_IMAGE_JPEG

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_RTC_IMAGE_JPEG =(7)

7: One JPEG image.

## ◆ VIDEO_SOURCE_RTC_IMAGE_GIF

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_RTC_IMAGE_GIF =(8)

8: One GIF image.

## ◆ VIDEO_SOURCE_REMOTE

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_REMOTE =(9)

9: One remote video acquired by the network.

## ◆ VIDEO_SOURCE_TRANSCODED

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_TRANSCODED =(10)

10: One transcoded video source.

## ◆ VIDEO_SOURCE_CAMERA_THIRD

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CAMERA_THIRD =(11)

11: The third camera.

## ◆ VIDEO_SOURCE_CAMERA_FOURTH

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CAMERA_FOURTH =(12)

12: The fourth camera.

## ◆ VIDEO_SOURCE_SPEECH_DRIVEN

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_SPEECH_DRIVEN =(15)

15: Video processed by the speech driven extension.

## ◆ VIDEO_SOURCE_UNKNOWN

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_UNKNOWN =(100)

100: An unknown video source.